# mew\_vi — Modal editing witch, VI interpreter

[![Build Status](https://travis-ci.org/kandu/mew_vi.svg?branch=master)](https://travis-ci.org/kandu/mew_vi)

This is a vi-like modal editing engine generator.

## Usage

Provide your `Key`, `Mode`, `Concurrent` modules to define the real world environment to get a handy vi-like modal editing engine.

Feed the the `i` channel user input and get the vi actions from the `action_output` channel.

## WIP

* `map` & `imap` command

